petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexFilter

Extract a subset of mesh cells defined by a label as a separate mesh

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexFilter(DM dm, DMLabel cellLabel, PetscInt value, DM *subdm)

### Input Parameters

| dm | - The original mesh
| cellLabel | - The DMLabel marking cells contained in the new mesh
| value | - The label value to use

### Output Parameter

subdm -The new mesh

Note: This function produces a DMLabel mapping original points in the submesh to their depth. This can be obtained using DMPlexGetSubpointMap().

### See Also

DMPlexGetSubpointMap(), DMGetLabel(), DMLabelSetValue()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages